'use strict';
var expect = require('chai').expect;
var { trim, isEmail, getLinksFromText } = require('../dist/index.js');

describe('getPlural function test', () => {
  it('should return true', () => {
    var result = isEmail('hello@gmail.com');
    expect(result).to.equal(true);
  })
  it('should return false', () => {
    var result = isEmail('@.com');
    expect(result).to.equal(false);
  })
  it('should return https://www.lipsum.com/', () => {
    var result = getLinksFromText('Lorem Ipsum is simply. dummy text of https://www.lipsum.com/ in the printing');
    expect(result).contains('https://www.lipsum.com/');
  })
  it('should return two links in array', () => {
    var result = getLinksFromText('Lorem Ipsum is simply. dummy text of https://www.lipsum.com/ in the printing and https://meet.google.com/');
    expect(result).eqls(['https://www.lipsum.com/', 'https://meet.google.com/']);
  })

})